升级14.04-20.04后的LVM问题

我正在尝试将旧的ubuntu服务器(14.04)升级到最新的LTS(20.04)。执行do-release-upgrade后,由于加载LVM错误而无法启动。它不使用加密(我在网上找到的大多数帖子都与此有关)。我尝试在chroot环境中重新安装lvm2,但这没有帮助。 该盒子有一个单独的/ boot分区,带有ext2而没有lvm。

在安装过程中,它通知grub无法写入/ dev / dm-0

不幸的是,很难捕获整个引导日志,但是它以这样的结尾:

lvmetad is not active yet, using direct activation during sysinit
volume group "..." not found
Cannot process volume group "..."


ALERT! /dev/mapper/...-root does not exist. Dropping to a shell!

然后我最终进入了initamfs。

有什么想法我可以从这里复兴吗?

评论